#blog-posts {
    margin-top: 50px;
    padding: 15px;
}

#zo-search-input {
    height: 37px;
    padding: 0 10px;
    border: 1px solid #ddd;
    border-radius: 0 !important;
    min-width: 200px;
}

#zo-search-button {
    height: 37px;
    padding: 0 10px;
    border-radius: 0;
    border: none;
    align-items: center;
    color: var(--lqd-active-txt-btnset);
    background-color: var(--color-primary);
}

#clear-the-blog-search {
    background: none;
    border: none;
    position: absolute;
    left: -26px;
    top: 50%;
    transform: translateY(-50%);
    z-index: -1;
    overflow: hidden;
    opacity: 0;
    transition: all 0.3s;
}

#clear-the-blog-search.show {
    z-index: 1;
    opacity: 1;
}

.zo-blog-search {
    position: relative;
    display: flex;
    gap: 5px;
    align-items: center;
}

.zo-pagination {
    display: flex;
    align-items: center;
    gap: 5px;
}

.zo-pagination-btn {
    height: 33px;
    width: 30px;
    padding: 0;
    line-height: 0;
    font-size: 16px;
    border-radius: 0;
    background: var(--color-primary);
    color: white;
    border: none;
    transition: all 0.3s;
    user-select: none;
}

.page-numbers.current {
    height: 33px;
    width: 30px;
    padding: 0;
    line-height: 0;
    font-size: 16px;
    border-radius: 0;
    background: #f2f2f2;
    color: #000000;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.3s;
    user-select: none;
}

.zo-pagination-btn:hover {
    transform: translateY(-2px);
    box-shadow: 0 12px 28px rgba(0, 0, 0, 0.12);
}

.zo-pagination-btn:disabled {
    opacity: 0.8;
}

.blog-post-card-img {
    position: relative;
    min-height: 300px;
    background-color: #f2f2f255;
}

.blog-post-card-img img {
    height: 300px;
    object-fit: cover;
}

.blog-post-card-img svg {
    position: absolute;
    bottom: -3px;
    left: 0;
}

.blog-date {
    position: absolute;
    bottom: 0;
    left: 10px;
    font-size: 16px;
    color: #767676;
}

.blog-post-card-inner {
    padding: 10px;
    background-color: #f2f2f2;
}

.blog-post-card-inner h3 {
    font-size: 30px;
    margin-top: 0;
}

.blog-read-more {
    padding: 8px 20px !important;
    width: fit-content !important;

    display: inline-flex;
    padding: 0;
    position: relative;
    border: 1px solid var(--color-primary);
    border-radius: 0;
    font-size: 1em;
    white-space: nowrap;
    overflow: hidden;
    color: #ffffff;
    background-color: var(--color-primary);
    transition: transform 0.3s, box-shadow 0.3s;
}

.blog-read-more:hover,
.blog-post-card:hover .blog-read-more {
    transform: translateY(-2px);
    box-shadow: 0 12px 28px rgba(0, 0, 0, 0.12);
}
.single-date{
        margin-bottom: 10px;
    color: #767676;
    display: block;
}